#pragma once
//---------------------------------------------------------------------------
#include "../KbUnArc.h"
#include "unzip.h"

class KbUnZip : public KbUnArc, public KbUnz
{
private:
    virtual ~KbUnZip(void);
public:
    BOOL __fastcall Open(IKpiFile *pFile, IKpiFolder *pFolder, const wchar_t *cszOutputPath);
    BOOL WINAPI GetArchiveInfo(const KPI_ARCHIVEINFO **ppArchiveInfo);
    BOOL WINAPI EnumFileInfo(DWORD dwIndex, const KPI_FILEINFO **ppFileInfo);
    BOOL WINAPI Extract(DWORD dwIndex, IKpiFile **ppFile, UINT64 qwSize);
    KbUnZip(UnArcConfig *pConfig);
};
